*** zic.c.orig	Mon Jul 31 23:24:18 2000
--- zic.c	Wed Aug 09 15:16:00 2000
***************
*** 537,544 ****
  		usage();	/* usage message by request */
  	if (directory == NULL)
  		directory = TZDIR;
- 	if (yitcommand == NULL)
- 		yitcommand = "yearistype";
  
  	setboundaries();
  
--- 537,542 ----
***************
*** 1903,1908 ****
--- 1901,1910 ----
  
  	if (type == NULL || *type == '\0')
  		return TRUE;
+ 	if (yitcommand == NULL) {
+ 		error(_("-y arg required but not given"));
+ 		return FALSE;
+ 	}
  	buf = erealloc(buf, (int) (132 + strlen(yitcommand) + strlen(type)));
  	(void) sprintf(buf, "%s %d %s", yitcommand, year, type);
  	result = system(buf);
